io.undertow.client

## Class ProxiedRequestAttachments

- java.lang.Object
- - io.undertow.client.ProxiedRequestAttachments

    public class ProxiedRequestAttachments
    extends Object

Additional attachments that are specific to requests that are being proxied from one server to another

Author:
  Stuart Douglas

### Field Summary

Fields
`static AttachmentKey<String>` `AUTH_TYPE`
`static AttachmentKey<Boolean>` `IS_SSL`
`static AttachmentKey<String>` `REMOTE_ADDRESS`
`static AttachmentKey<String>` `REMOTE_HOST`
`static AttachmentKey<String>` `REMOTE_USER`
`static AttachmentKey<String>` `ROUTE`
`static AttachmentKey<String>` `SECRET`
`static AttachmentKey<String>` `SERVER_NAME`
`static AttachmentKey<Integer>` `SERVER_PORT`
`static AttachmentKey<String>` `SSL_CERT`
`static AttachmentKey<String>` `SSL_CYPHER`
`static AttachmentKey<Integer>` `SSL_KEY_SIZE`
`static AttachmentKey<byte[]>` `SSL_SESSION_ID`

### Constructor Summary

Constructors
Constructor and Description
`ProxiedRequestAttachments()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### REMOTE_ADDRESS

    public static final AttachmentKey<String> REMOTE_ADDRESS

#### REMOTE_HOST

    public static final AttachmentKey<String> REMOTE_HOST

#### SERVER_NAME

    public static final AttachmentKey<String> SERVER_NAME

#### SERVER_PORT

    public static final AttachmentKey<Integer> SERVER_PORT

#### IS_SSL

    public static final AttachmentKey<Boolean> IS_SSL

#### REMOTE_USER

    public static final AttachmentKey<String> REMOTE_USER

#### AUTH_TYPE

    public static final AttachmentKey<String> AUTH_TYPE

#### ROUTE

    public static final AttachmentKey<String> ROUTE

#### SSL_CERT

    public static final AttachmentKey<String> SSL_CERT

#### SSL_CYPHER

    public static final AttachmentKey<String> SSL_CYPHER

#### SSL_SESSION_ID

    public static final AttachmentKey<byte[]> SSL_SESSION_ID

#### SSL_KEY_SIZE

    public static final AttachmentKey<Integer> SSL_KEY_SIZE

#### SECRET

    public static final AttachmentKey<String> SECRET

### Constructor Detail

#### ProxiedRequestAttachments

    public ProxiedRequestAttachments()